Gtk2::ButtonBox(3)

NAME
Gtk2::ButtonBox

HIERARCHY
  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Box
                           +----Gtk2::ButtonBox

INTERFACES
  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable

METHODS

  boolean = $widget->get_child_secondary ($child)

    * $child (Gtk2::Widget)

    Since: gtk+ 2.4

  $widget->set_child_secondary ($child, $is_secondary)

    * $child (Gtk2::Widget)
    * $is_secondary (boolean)

  buttonboxstyle = $widget->get_layout

  $widget->set_layout ($layout_style)

    * $layout_style (Gtk2::ButtonBoxStyle)

PROPERTIES
'layout-style' (Gtk2::ButtonBoxStyle : readable / writable / private)
    How to layout the buttons in the box. Possible values are default, spread, edge, start and end

ENUMS AND FLAGS

  enum Gtk2::ButtonBoxStyle

* 'default-style' / 'GTK_BUTTONBOX_DEFAULT_STYLE'
* 'spread' / 'GTK_BUTTONBOX_SPREAD'
* 'edge' / 'GTK_BUTTONBOX_EDGE'
* 'start' / 'GTK_BUTTONBOX_START'
* 'end' / 'GTK_BUTTONBOX_END'
* 'center' / 'GTK_BUTTONBOX_CENTER'

SEE ALSO
Gtk2, Glib::Object, Glib::InitiallyUnowned, Gtk2::Object, Gtk2::Widget, Gtk2::Container, Gtk2::Box

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.